package com.sf.web.dms.faultlist.control;

package ..deTemp.1731582986192;

import cn.hutool.core.util.HexUtil;
import cn.hutool.crypto.SmUtil;
import cn.hutool.crypto.symmetric.SymmetricCrypto;
import com.smartframework.core.annotation.SmartComment;
import com.smartframework.core.smart.SmartView;
import com.smartframework.web.core.Constants;
import com.smartframework.web.core.control.BasicControl;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@SmartComment("鼎信故障分析跳转接口")
public class FaultAnalysisControl extends BasicControl {
  @SmartComment("根据鼎信要求生成token")
  public SmartView generateToken() {
    List<String> tokens = new ArrayList<>();
    tokens.add(Constants.getString("dingxin.faultAnalysis.area", "jingzhou"));
    tokens.add(Constants.getString("dingxin.faultAnalysis.password", "123456"));
    tokens.add(String.valueOf((new Date()).getTime()));
    String token = String.join("|", (Iterable)tokens);
    String hexKey = Constants.getString("dingxin.faultAnalysis.sm4_key", "44574B447275347061313471596B4342");
    SymmetricCrypto sm4 = SmUtil.sm4(HexUtil.decodeHex(hexKey));
    String encryptedToken = sm4.encryptHex(token).toUpperCase();
    return SmartView.SUCCESS(encryptedToken, "");
  }
}
